This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 243797 - Cursor vanishes at login
Cursor vanishes at login
Status: CLOSED DUPLICATE of bug 182517
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 18:57 EDT by Stephen J. Burns
Modified: 2008-04-04 16:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 16:04:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen J. Burns 2007-06-11 18:57:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.12) Gecko/20070508 Firefox/1.5.0.12

Description of problem:
My mouse cursor shows up normally while booting Fedora.  Once the login screen is reached the cursor vanishes for good.  I can log on without problems.  Once I reach the Gnome desktop, I can locate the cursor using the CTRL key.  The mouse cursor moves appropriately, clicking works fine.  It's just not visible.  Changing the cursor theme does not help.  When this appeared I was using a USB optical mouse, but the same thing happens with a standard PS2 mouse as well.  This first occurred when I installed FC6 on a new off-brand computer.  It persists with F7.

Version-Release number of selected component (if applicable):
Kernel 2.6.21  Gnome_desktop 2.18.0

How reproducible:
Always


Steps to Reproduce:
1. Boot Fedora
2. Type user name and password
3.

Actual Results:
The mouse works fine but the cursor is no longer visible.

Expected Results:
The cursor should have appeared normally

Additional info:
No error messages at all.
Comment 1 Stephen J. Burns 2007-07-02 18:07:16 EDT
I have found that if I boot to runlevel 3 instead of 5, then startX, the cursor
will appear normally.  If I log out, log back in, and startX, the cursor is no
longer visible.
Comment 2 Ray Strode [halfline] 2007-07-03 10:42:24 EDT
Maybe it's always the *second* time the X server is started that causes the
problem?  Can you boot into runlevel 5, but take rhgb out of your kernel command
line and report if it works initially?
Comment 3 Matěj Cepl 2007-07-03 11:39:27 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Stephen J. Burns 2007-07-13 18:16:17 EDT
I removed "rhgb quiet" from the kernel command in my grub.conf file.  That took
care of the problem.  I suppose the cursor might vanish again if I had to log
out and back in, but that's not enough to worry about.  Thanks for your help.
Comment 5 Bug Zapper 2008-04-04 08:48:05 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Adam Jackson 2008-04-04 16:04:49 EDT
I'm going to go out on a limb here and guess that you've got nv hardware.

*** This bug has been marked as a duplicate of 182517 ***

Note You need to log in before you can comment on or make changes to this bug.